Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class QueryMetaData

    java.lang.Object
      org.jboss.metadata.MetaData
          org.jboss.metadata.QueryMetaData

All Implemented Interfaces:
  Cloneable, XmlLoadable

public class QueryMetaData
extends MetaData

Contains information about ejb-ql queries.

Version:
  $Revision: 1.8 $
Author:
  Dain Sundstrom

Field Summary
`static String` | `LOCAL`
`static String` | `REMOTE`

Fields inherited from class org.jboss.metadata.MetaData
`log, TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`QueryMetaData()`

Method Summary
`String` | `getDescription()` Gets the user description of the query.
`String` | `getEjbQl()` Gets the ejb-ql for this query.
`String` | `getMethodName()` Gets the name of the query for which this metadata applies.
`Iterator` | `getMethodParams()` Gets an iterator over the parameters of the query method.
`String` | `getResultTypeMapping()` Gets the interface type of returned ejb objects.
`void` | `importEjbJarXml(Element element)` Loads the data from the query xml element.

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementAttribute, getElementContent, getElementContent, getFirstElementContent, getOptionalChild, getOptionalChild, getOptionalChildBooleanContent, getOptionalChildBooleanContent, getOptionalChildContent, getOptionalChildContent, getUniqueChild, getUniqueChildContent, importJbossXml, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REMOTE

    public static final String REMOTE

See Also:
  Constant Field Values

### LOCAL

    public static final String LOCAL

See Also:
  Constant Field Values

Constructor Detail

### QueryMetaData

    public QueryMetaData()

Method Detail

### getDescription

    public String getDescription()

  Gets the user description of the query.

  Returns:
    the users description of the query

### getMethodName

    public String getMethodName()

  Gets the name of the query for which this metadata applies.

  Returns:
    the name of the query method

### getMethodParams

    public Iterator getMethodParams()

  Gets an iterator over the parameters of the query method.

  Returns:
    an iterator over the parameters of the query method.

### getResultTypeMapping

    public String getResultTypeMapping()

  Gets the interface type of returned ejb objects. This will be Local or Remote, and the default is Local.

  Returns:
    the type the the interface returned for ejb objects

### getEjbQl

    public String getEjbQl()

  Gets the ejb-ql for this query.

  Returns:
    the ejb-ql for this query

### importEjbJarXml

    public void importEjbJarXml(Element element)
                         throws org.jboss.deployment.DeploymentException

  Loads the data from the query xml element.

  Overrides:
    `importEjbJarXml` in class `MetaData`
  Parameters:
    `element` - the query xml element from the ejb-jar.xml file
  Throws:
    `org.jboss.deployment.DeploymentException` - if the query element is malformed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.